campaignWe've reorganized our documentation navigation structure to align directly with your operational workflows. See the
release notes and the
walkthrough video for more information.
Method: instances.patch
Stay organized with collections
Save and categorize content based on your preferences.
Full name: projects.locations.instances.patch
Updates an Instance.
HTTP request
PATCH https://{endpoint}/v1beta/{instance.name}
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters |
instance.name |
string
Identifier. The resource name of this instance. Format: projects/{project}/locations/{location}/instances/{instance}
|
Query parameters
| Parameters |
updateMask |
string (FieldMask format)
Optional. The list of fields to update.
- If
updateMask is not included in the request, an error will be returned.
- If
updateMask is present and paths includes only *, then all the fields which are supported by instances.patch will be updated irrespective of whether they are present in the request or not. Fields which are not present in the request will be set to nil/false value.
- To update partial flags in
instanceConfig, the relevant flags should be provided like instanceConfig.<flag_name> for each flag. For example, to update secopsUiEnabled flag, instanceConfig.secops_ui_enabled should be provided in the paths of the updateMask. If the flag is present in paths but not present in the request, it will be set to false.
- If only
instanceConfig is provided in paths, all the flags in instanceConfig will be updated and those flags which are not present in the request will be set to false.
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
|
Request body
The request body contains an instance of Instance.
Response body
If successful, the response body contains an instance of Instance.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/chronicle
https://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.instances.update
For more information, see the IAM documentation.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-08-13 UTC.
[null,null,["Last updated 2026-08-13 UTC."],[],[]]